## gate.util
Class RBTreeMap.SubMap

    java.lang.Object
      |
      +--java.util.AbstractMap
            |
            +--gate.util.RBTreeMap.SubMap

All Implemented Interfaces:
  Map, Serializable, SortedMap

Enclosing class:
  RBTreeMap

private class RBTreeMap.SubMap
extends AbstractMap
implements SortedMap, Serializable

See Also:
  Serialized Form

Inner classes inherited from class java.util.Map
`Map.Entry`

Fields inherited from class java.util.AbstractMap
`keySet, values`

Methods inherited from class java.util.AbstractMap
`clear, containsValue, equals, hashCode, keySet, putAll, remove, size, toString, values`

Methods inherited from class java.lang.Object
`<clinit>, clone, finalize, getClass, notify, notifyAll, registerNatives, wait, wait, wait`

Methods inherited from interface java.util.Map
`clear, containsValue, equals, hashCode, keySet, putAll, remove, size, values`